
# WinEnvVar
_WinEnvVar_ is a batch script to ease the usage of Windows environment variables. It manages the variables with files. A run of the script sets all variables for the current logged in Windows user.


## Why
I made this little batch script because I was unsatisfied with the usability of the Windows environment variable editor. The script lets you define environment variable just by using files. Whereas the files' names are the names of the variables and the contents are the values.

Since Windows 95, the environment variable editor has been the same small window which could not be changed in size. It always was a time consuming task to manage the variables. If you ever found a software which demanded of you to edit variables in their installation manual, you know what I mean.

And yea, I still write batch scripts. Desktop computers at work are on Windows.


## Files for Variables
If you want a environment variable called 'JAVA_HOME', just name your file '```JAVA_HOME.01env```'. Put a single line inside that file. It will be the value.

## Evaluation Order of env-Files
Files with the extension '01env' are being evaluated first. After that evaluation run, the variables are being saved in memory. In the files, having the extension, '02env' you can then use the variables of the first run.

For example... 'JAVA_HOME.01env':
```
C:\Program Files\jdk1.7.0_51-x64
```

'Path.02env' looks like this:
```
%JAVA_HOME%\bin
```
Then, after a run, your _Path_-Variable holds ```C:\Program Files\jdk1.7.0_51-x64\bin``` and your _JAVA_HOME_-variable holds ```C:\Program Files\jdk1.7.0_51-x64``` as values.

## Execution Run
Just run 'envvar.bat' inside the directory where all your _01env_- and _02env_-files are. Afterwards, if you have any open command prompts, restart them so they reload the environment variables.

## License
The batch script is licensed under the terms of the _GPL Version 3_. See the LICENSE file in this directory.